// ===========================================================================
//	NLMClientApp.h					
// ===========================================================================

#pragma once

#include <LApplication.h>
#include "LServerChooser.h"
#include "LServerActions.h"

class	NLMClientApp : public LApplication {
public:
						NLMClientApp();
	virtual 			~NLMClientApp();
	
	virtual Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);
	virtual void 		DoServerChooser();

protected:
	LServerChooser	*mServerChooser;
	LServerActions	*mServerActions;
};